[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarArrayOf

Create a variants array of a series of values

## Declaration

Source position: variants.pp line 125

`function VarArrayOf(`
`const Values: array of Variant`
`):Variant;`

## Arguments

`Values` |  | Initial values for the elements in the array.

## Function result

The newly created variant array

## Description

VarArrayOf creates a variant array with elements of type varVariant. The array has as many values as there are elements in Values and the element values are copied from Values.

## Errors

If the array cannot be created, an EVariantError exception may be raised.

## See also

VarArrayCreateError |  | Raise an EVariantArrayCreateError error
VarArrayCreate |  | Create a variant array
DynArrayToVariant |  | Convert a Dynamic Array To a Variant